# $Revision: 1.204 $, $Date: 2012/03/29 16:53:52 $
#
# TODO:
# - installed, but unpackaged files
#	   /usr/share/mime-info/abiword.keys
#
%bcond_without	gda		# libgda support
%bcond_without	goffice		# without plugin-goffice
%bcond_without	gnome		# without GNOME libs
%bcond_with	gnomevfs	# gnome-vfs support
%bcond_with	ots		# try build plugin-ots (requires ots >= 0.5.0)
#
%define		mver	2.8
#
Summary:	Multi-platform word processor
Summary(pl.UTF-8):	Wieloplatformowy procesor tekstu
Name:		abiword
Version:	2.8.6
Release:	9
Epoch:		1
License:	GPL v2+
Group:		X11/Applications/Editors
Source0:	http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.gz
# Source0-md5:	f883b0a7f26229a9c66fd6a1a94381aa
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-mht.patch
Patch2:		%{name}-libwpd.patch
Patch3:		%{name}-link.patch
Patch4:		%{name}-libpng15.patch
Patch5:		glib.patch
URL:		http://www.abisource.com/
BuildRequires:	aiksaurus-gtk-devel >= 1.2.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.33.1
BuildRequires:	bzip2-devel
BuildRequires:	cairo-devel
BuildRequires:	enchant-devel >= 1.2.6
BuildRequires:	eps-devel
BuildRequires:	fontconfig-devel >= 1:2.3.95
BuildRequires:	fribidi-devel >= 0.10.4
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	gtkmathview-devel >= 0.7.6
BuildRequires:	gucharmap-devel >= 1.7.0
%if %{with gda}
BuildRequires:	libgda-devel >= 1:1.2.4-16
BuildRequires:	libgnomedb-devel >= 1:1.2.0
%else
Obsoletes:	abiword-plugin-gda
%endif
BuildRequires:	libgnomeui-devel >= 2.15.91
%if %{with goffice}
BuildRequires:	libgoffice-devel >= 0.8.0
%else
Obsoletes:	abiword-plugin-goffice
%endif
BuildRequires:	libgsf-devel >= 1.14.9
#%{?with_gnomevfs:BuildRequires:	libgsf-gnome-devel >= 1.14.1}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 1:2.16.0
BuildRequires:	libtool
BuildRequires:	libwmf-devel >= 2:0.2.8.4
BuildRequires:	libwpd-devel >= 0.9.0
BuildRequires:	libwpg-devel >= 0.2.0
BuildRequires:	libwps-devel >= 0.2.0
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	link-grammar-devel >= 4.2.1
BuildRequires:	loudmouth-devel >= 1.0.1
%{?with_ots:BuildRequires:	ots-devel >= 0.5.0}
BuildRequires:	pango-devel
BuildRequires:	perl-devel
BuildRequires:	pkgconfig >= 0.9.0
BuildRequires:	popt-devel
BuildRequires:	psiconv-devel >= 0.9.6
BuildRequires:	readline-devel
BuildRequires:	sed >= 4.0
BuildRequires:	t1lib-devel
BuildRequires:	wv-devel >= 1.2.1
Requires(post,postun):	desktop-file-utils
Obsoletes:	abiword-plugin-applix
Obsoletes:	abiword-plugin-babelfish
Obsoletes:	abiword-plugin-bmp
Obsoletes:	abiword-plugin-bz2
Obsoletes:	abiword-plugin-capi
Obsoletes:	abiword-plugin-clarisworks
Obsoletes:	abiword-plugin-dash
Obsoletes:	abiword-plugin-docbook
Obsoletes:	abiword-plugin-eml
Obsoletes:	abiword-plugin-freetranslation
Obsoletes:	abiword-plugin-gdict
Obsoletes:	abiword-plugin-gdkpixbuf
Obsoletes:	abiword-plugin-gimp
Obsoletes:	abiword-plugin-google
Obsoletes:	abiword-plugin-gypsython
Obsoletes:	abiword-plugin-hancom
Obsoletes:	abiword-plugin-hrtext
Obsoletes:	abiword-plugin-iscii
Obsoletes:	abiword-plugin-jpeg
Obsoletes:	abiword-plugin-kword
Obsoletes:	abiword-plugin-magick
Obsoletes:	abiword-plugin-mif
Obsoletes:	abiword-plugin-mswrite
Obsoletes:	abiword-plugin-nroff
Obsoletes:	abiword-plugin-opendocument
Obsoletes:	abiword-plugin-openwritter
Obsoletes:	abiword-plugin-palmdoc
Obsoletes:	abiword-plugin-passepartout
Obsoletes:	abiword-plugin-pdf
Obsoletes:	abiword-plugin-referee
Obsoletes:	abiword-plugin-rsvg
Obsoletes:	abiword-plugin-scripthappy
Obsoletes:	abiword-plugin-sdw
Obsoletes:	abiword-plugin-t602
Obsoletes:	abiword-plugin-urldict
Obsoletes:	abiword-plugin-wikipedia
Obsoletes:	abiword-plugin-wml
Obsoletes:	abiword-plugin-xhtml
Obsoletes:	abiword-plugin-xslfo
Obsoletes:	abiword-plugins-impexp
Obsoletes:	abiword-plugins-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AbiWord is a multi-platform word processor with a GTK+ interface on
the UNIX platform.

%description -l pl.UTF-8
AbiWord jest wieloplatformowym procesorem tekstu z interfejsem GTK+ na
platformie UNIX.

%package devel
Summary:	Files for AbiWord plugins development
Summary(pl.UTF-8):	Pliki do tworzenia wtyczek dla AbiWorda
Group:		Development/Libraries
# doesn't require base

%description devel
Files for AbiWord plugins development.

%description devel -l pl.UTF-8
Pliki do tworzenia wtyczek dla AbiWorda.

# plugins - tools
%package plugin-aiksaurus
Summary:	AbiWord Aiksaurus plugin
Summary(pl.UTF-8):	Wtyczka AbiWorda Aiksaurus
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-aiksaurus
Allows to use Aiksaurus thesaurus.

%description plugin-aiksaurus -l pl.UTF-8
Wtyczka ta pozwala na użycie Aiksaurusa - słownika wyrazów
bliskoznacznych.

%package plugin-collab
Summary:	Remote collaborate for AbiWord
Summary(pl.UTF-8):	Zdalna współpraca dla AbiWorda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-collab
Allows to collaborate with a remote user.

%description plugin-collab -l pl.UTF-8
Wtyczka pozwalająca na współpracę z innym użytkownikiem przez sieć.

%package plugin-command
Summary:	AbiWord command line control
Summary(pl.UTF-8):	Konrolowanie AbiWorda z linii poleceń
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-command
Allows command line control of AbiWord.

%description plugin-command -l pl.UTF-8
Wtyczka ta pozwala na kontrolowanie AbiWorda z poziomu linii poleceń.

%package plugin-gda
Summary:	AbiWord GDA plugin
Summary(pl.UTF-8):	Wtyczka AbiWorda dla GDA
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gnome-database-access-properties >= 1:1.2.1

%description plugin-gda
Allows access to any database provided by libgda.

%description plugin-gda -l pl.UTF-8
Wtyczka ta pozwala na połączenie z dowolną bazą danych dostarczaną za
pośrednictwem libgda.

%package plugin-goffice
Summary:	GNOME Office plugin
Summary(pl.UTF-8):	Wtyczka GNOME Office
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-goffice
Allows to share GNOME Office objects between GOffice appplications.

%description plugin-goffice -l pl.UTF-8
Pozwala na współdzielenie obiektów GNOME Office pomiędzy jego
aplikacjami.

%package plugin-mathview
Summary:	AbiWord MathView plugin
Summary(pl.UTF-8):	Wtyczka MAthView dla AbiWorda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-mathview
MathML or LaTeX style equation inserting and editing.

%description plugin-mathview -l pl.UTF-8
Pozwala na wstawianie i edycję równań w stylu MathML lub LaTeX.

%package plugin-ots
Summary:	AbiWord OTS plugin
Summary(pl.UTF-8):	Wtyczka OTS dla Abiworda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-ots
Create document summaries.

%description plugin-ots -l pl.UTF-8
Wtyczka ta służy do tworzenia podsumowania dokumentu.

# plugins import - export
%package plugin-coquille
Summary:	AbiWord Coquille plugin
Summary(pl.UTF-8):	Wtyczka Coquille dla Abiworda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-coquille
Docbook extensions.

%description plugin-coquille -l pl.UTF-8
Rozszerzenia Docbooka.

%package plugin-latex
Summary:	AbiWord LaTeX plugin
Summary(pl.UTF-8):	Wtyczka LaTeX dla Abiworda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-latex
LaTeX export.

%description plugin-latex -l pl.UTF-8
Wtyczka ta służy do eksportu do LaTeXa.

%package plugin-link-grammar
Summary:	AbiWord Link Grammar plugin
Summary(pl.UTF-8):	Wtyczka Gramatyki dla Abiworda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-link-grammar
AbiWord Link Grammar plugin.

%description plugin-link-grammar -l pl.UTF-8
Wtyczka Gramatyki dla Abiworda.

%package plugin-psion
Summary:	AbiWord Psion plugin
Summary(pl.UTF-8):	Wtyczka Psion dla Abiworda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-psion
Import/export Psion files.

%description plugin-psion -l pl.UTF-8
Wtyczka ta służy do importu/eksportu plików Psiona.

%package plugin-wmf
Summary:	AbiWord WMF plugin
Summary(pl.UTF-8):	Wtyczka WMF dla Abiworda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-wmf
View Windows Metafiles.

%description plugin-wmf -l pl.UTF-8
Wtyczka ta służy do wyświetlania plików typu Windows Metafile.

%package plugin-wordperfect
Summary:	AbiWord WordPerfect plugin
Summary(pl.UTF-8):	Wtyczka WordPerfect dla Abiworda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-wordperfect
Import/export Corel WordPerfect files.

%description plugin-wordperfect -l pl.UTF-8
Wtyczka ta służy do importu/eksportu plików w formacie Corel
WordPerfect.

%package clipart
Summary:	AbiWord Clipart
Summary(pl.UTF-8):	Cliparty dla AbiWorda
Group:		X11/Applications/Editors
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description clipart
This is the clipart portfolio used by AbiWord.

%description clipart -l pl.UTF-8
Jest to teczka clipartów używanych przez AbiWorda.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# use generic icon name
%{__sed} -i -e 's|abiword_48.png|abiword.png|' Makefile.am
%{__sed} -i -e 's|abiword_48|abiword|' src/wp/ap/gtk/ap_UnixFrameImpl.cpp
mv abiword_48.png abiword.png

%build
%{__aclocal} -I .
%{__automake}
%{__autoconf}
%configure \
	--with-gnomevfs=%{?with_gnomevfs:yes}%{!?with_gnomevfs:no} \
	--with-goffice=%{?with_goffice:yes}%{!?with_goffice:no} \
	--disable-static \
	--enable-clipart \
	--enable-plugins=auto \
	--enable-printing \
	--enable-scripting \
	--enable-templates \
	--enable-threads \
	--with-libxml2 \
	--with-pspell \
	--with-sys-wv

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	icondir=%{_pixmapsdir}

# Remove useless files
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/abiword-%{mver}/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post

%postun
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libabiword-%{mver}.so
%dir %{_libdir}/abiword-%{mver}
%dir %{_libdir}/abiword-%{mver}/plugins
%dir %{_datadir}/abiword-%{mver}
%{_datadir}/abiword-%{mver}/Presentation.xml
%{_datadir}/abiword-%{mver}/readme.abw
%{_datadir}/abiword-%{mver}/readme.txt
%{_datadir}/abiword-%{mver}/strings
%{_datadir}/abiword-%{mver}/system.profile*
%{_datadir}/abiword-%{mver}/templates
%{_datadir}/abiword-%{mver}/ui
%{_datadir}/abiword-%{mver}/xsltml
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/abiword.1*

# These don't add any additional dependencies so there's no reason to split
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/applix.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/babelfish.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/bmp.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/clarisworks.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/docbook.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/eml.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/freetranslation.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/garble.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/gdict.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/gimp.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/google.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/hancom.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/hrtext.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/iscii.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/kword.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/loadbindings.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/mht.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/mif.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/mswrite.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/opml.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/opendocument.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/openwriter.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/openxml.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/paint.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/passepartout.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/pdb.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/pdf.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/presentation.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/s5.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/sdw.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/t602.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/urldict.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/wikipedia.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/wml.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/wpg.so
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/xslfo.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/libabiword-%{mver}.la
%{_includedir}/abiword-%{mver}
%{_pkgconfigdir}/abiword-%{mver}.pc

%files plugin-aiksaurus
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/aiksaurus.so

%files plugin-collab
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/collab.so

%files plugin-command
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/command.so

%if %{with gda}
%files plugin-gda
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/gda.so
%endif

%if %{with goffice}
%files plugin-goffice
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/goffice.so
%endif

%files plugin-mathview
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/mathview.so

%if %{with ots}
%files plugin-ots
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/ots.so
%endif

%files plugin-latex
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/latex.so

%files plugin-link-grammar
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/grammar.so

%files plugin-psion
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/psion.so

%files plugin-wmf
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/wmf.so

%files plugin-wordperfect
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/abiword-%{mver}/plugins/wordperfect.so

%files clipart
%defattr(644,root,root,755)
%{_datadir}/abiword-%{mver}/clipart

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: abiword.spec,v $
Revision 1.204  2012/03/29 16:53:52  baggins
- release 9

Revision 1.203  2012/03/29 15:51:24  wiget
- fix compilation with glib 2.32
- BR libgda-devel with fixed headers

Revision 1.202  2012/03/28 07:26:52  arekm
- release 8

Revision 1.201  2012/02/09 00:42:37  adamg
- release 7 (rebuild against libpng-1.5)

Revision 1.200  2012/02/07 21:57:50  arekm
- release 6

Revision 1.199  2011/10/02 15:27:02  arekm
- release 5

Revision 1.198  2011/09/12 06:16:10  arekm
- rel 4; fix linker flags

Revision 1.197  2011/09/09 19:10:59  arekm
- release 3

Revision 1.196  2011/08/31 06:59:06  arekm
- release 2

Revision 1.195  2011/08/09 11:00:09  lisu
- updated to 2.8.6
- BR: sed >= 4.0
- use sed macro

Revision 1.194  2011/07/01 17:58:45  lisu
- rel 6

Revision 1.193  2011/02/05 01:16:48  sparky
- marked pl description as UTF-8

Revision 1.192  2011/02/05 01:04:07  sparky
- marked pl summary as UTF-8

Revision 1.191  2010/12/18 18:39:49  megabajt
- added -libwpd.patch (fixes build with new wpd, wpg and wps)
- release 5

Revision 1.190  2010/12/17 21:23:32  arekm
- release 4

Revision 1.189  2010/06/03 11:09:27  baggins
- rel 3

Revision 1.188  2010/05/05 10:07:46  blues
- rel.2 - reverse goffice bcond, met by default now.

Revision 1.187  2010/03/08 09:20:49  hawk
- updated to 2.8.2

Revision 1.186  2010/02/14 19:05:47  megabajt
- release 5

Revision 1.185  2010/02/14 18:23:42  sparky
- added mht patch
- BR: eps-devel

Revision 1.184  2010/02/07 19:13:24  arekm
- release 4

Revision 1.183  2010/02/06 01:09:17  sparky
- dropped unused BR: aspell-devel, curl-devel, libgnomeprintui-devel,
  libgsf-gnome-devel (some do not seem right)

Revision 1.182  2010/02/05 16:22:05  sls
- added libpngX.patch

Revision 1.181  2010/01/29 20:49:12  arekm
- release 3

Revision 1.180  2009/11/12 11:54:30  patrys
- rebuild
- rel 2

Revision 1.179  2009/10/30 12:46:43  patrys
- 2.8.1
- tiny plugins merged into the main package

Revision 1.178  2009/07/14 15:38:19  arekm
- rel 4; builds

Revision 1.177  2009/07/12 03:27:18  arekm
- release 3

Revision 1.176  2009/03/19 09:39:39  patrys
- 2.6.8

Revision 1.175  2009/02/23 22:12:04  arekm
- release 2

Revision 1.174  2009/01/17 11:30:57  arekm
- up to 2.6.6

Revision 1.173  2008/11/01 13:14:13  qboosh
- -clipart R: base

Revision 1.172  2008/11/01 13:12:58  qboosh
- little better Group

Revision 1.171  2008/11/01 13:10:50  qboosh
- package -devel and some other files

Revision 1.170  2008/11/01 13:06:24  qboosh
- lang() for internationalized help

Revision 1.169  2008/11/01 13:02:39  qboosh
- pl fix

Revision 1.168  2008/10/12 19:32:03  radek
- release 4: turned off gnomevfs bcond; broken with current libgsf-gnome-devel

Revision 1.167  2008/10/12 17:31:15  radek
- release 3: BR libgsf-gnome-devel

Revision 1.166  2008/10/08 18:51:56  arekm
- release 2

Revision 1.165  2008/08/07 19:13:33  arekm
- up to 2.6.4

Revision 1.164  2008/06/16 07:07:12  arekm
- rel 2

Revision 1.163  2008-05-18 03:09:51  sls
- BR: perl-devel (required ExtUtils/{Embed,MakeMaker.pm})

Revision 1.162  2008-05-03 16:14:10  patrys
- 2.6.3

Revision 1.161  2008-05-02 10:42:27  glen
- release 1 (missing)

Revision 1.160  2008-04-07 03:54:27  sls
- BR: readline-devel

Revision 1.159  2008-04-07 03:53:45  sls
- now AbiCAPI plugin disappeared without trace
- removed extras-destdir.patch
- BR: boost-devel
- removed BR: eps-devel and poppler-glib-devel

Revision 1.158  2008-04-07 02:18:56  sls
- ver. 2.6.2

Revision 1.157  2008-04-03 00:13:05  sls
- plugin-collab is back

Revision 1.156  2008-04-01 23:21:08  sls
- use extras and docs
- extras-destdir.patch in, mailmerge.patch out

Revision 1.155  2008-04-01 19:47:50  sls
- argh, need more coffee

Revision 1.154  2008-04-01 18:39:56  sls
- and package _datadir/abiword

Revision 1.153  2008-04-01 18:32:49  sls
- provide plugindir

Revision 1.152  2008-04-01 17:25:47  sls
- more BR
- unpackaged AbiWPG
- --enable-printing --enable-scripting

Revision 1.151  2008-04-01 14:11:41  sls
- save work

Revision 1.150  2008-04-01 08:35:05  sls
- ver. 2.6.0 (NFY)

Revision 1.149  2008-03-25 07:25:00  glen
- configure specifies required goffice version

Revision 1.148  2008-03-21 13:56:01  glen
- # is not for disabling macros, so "enable" bcond defs

Revision 1.147  2008-03-19 13:20:22  glen
- adapter

Revision 1.146  2007-11-25 21:14:07  arekm
- rel 6

Revision 1.145  2007/10/12 14:28:45  sls
- sorted patches

Revision 1.144  2007/10/12 14:13:55  sls
- added bcond goffice (plugin-goffice doesn't build with goffice-0.5)

Revision 1.143  2007/09/30 15:20:14  blues
- added goffice05 patch

Revision 1.142  2007/09/30 14:13:31  blues
- rel.5 - fix for poppler 0.6

Revision 1.141  2007/09/30 13:36:27  blues
- rel.4

Revision 1.140  2007/09/22 16:39:28  blues
- rel.3 - rebuild with new poppler, STBR

Revision 1.139  2007/03/14 14:22:42  megabajt
- release 2 to rebuild with new gucharmap

Revision 1.138  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.137  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.136  2007/01/15 20:10:46  arekm
- rel 1

Revision 1.135  2006/11/28 17:42:20  qboosh
- updated todo

Revision 1.134  2006/11/17 14:23:01  patrys
- i fscked up

Revision 1.133  2006/11/17 12:54:10  patrys
- updated for goffice support

Revision 1.132  2006/11/17 12:30:01  patrys
- up to 2.4.6
- goffice patch does not apply
- gochart temporarily commented out

Revision 1.131  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.130  2006/10/26 21:33:29  grzegol
- make it build with libgoffice-0.3.1; rel. 3

Revision 1.129  2006/08/15 10:18:56  grzegol
- added eps15 patch (fixes build with eps-1.5)
- removed without eps bcond
- BR: eps-devel >= 1.5

Revision 1.128  2006/08/13 10:14:38  grzegol
- added without eps bcond (doesn't build with eps-1.5)

Revision 1.127  2006/08/11 20:29:55  freetz
- corrected commitlog

Revision 1.126  2006/08/11 20:07:04  freetz
- rel.2, HEAD deps, use stable gda/gnomedb, dropped gda patch

Revision 1.125  2006/07/30 03:02:17  aredridel
- R: t1lib-devel

Revision 1.124  2006/07/14 21:03:54  freetz
- updated deps, --as-needed support

Revision 1.123  2006/07/13 21:02:09  jareq
- updated to 2.4.5
- removed %{name}-x86_64.patch (included in source)
- rel 1

Revision 1.122  2006/06/11 17:33:46  freetz
- rel.4, bleeding edge deps

Revision 1.121  2006/06/07 10:31:14  jareq
- added abiword-x86_64.patch (crash on x86_64 machines when saving a document)
- rel 4

Revision 1.120  2006/05/22 17:16:23  freetz
- rel.3 for rebuild

Revision 1.119  2006/04/20 15:10:45  hawk
- BR libgoffice-devel not libgoffice (or build will fail)
- release 2

Revision 1.118  2006/04/19 19:00:38  freetz
- update libgoffice requirement (at least 0.1.0)

Revision 1.117  2006/04/13 17:23:06  freetz
- 2.4.4, collab plugin removed upstream (will be a part of 2.6.x release)
  bumped link-grammar requirement

Revision 1.116  2006/04/05 16:57:52  freetz
- rel.3 for rebuild with poppler-Qt-crap-free

Revision 1.115  2006/03/27 18:53:37  freetz
- added fix for poppler 0.5.x series, rel.2

Revision 1.114  2006/01/11 16:38:26  freetz
 - 2.4.2

Revision 1.113  2005/10/24 21:43:27  qboosh
- added version to link-grammar BR

Revision 1.112  2005/10/24 21:26:15  arekm
- rel 2; add link-grammar plugin; fix new gda support; gda bcond

Revision 1.111  2005/10/10 16:36:57  freetz
- more Obsoletes

Revision 1.110  2005/10/10 16:31:51  qboosh
- typo

Revision 1.109  2005/10/10 16:20:51  freetz
- merged from DEVEL

Revision 1.106.2.8  2005/10/10 16:18:08  freetz
- fixed typos

Revision 1.106.2.7  2005/10/10 16:10:18  freetz
- matview support added

Revision 1.106.2.6  2005/10/10 13:39:18  pawcioos
- updated to 2.4.1

Revision 1.106.2.5  2005/10/04 09:16:35  aflinta
- up to 2.4.0

Revision 1.106.2.4  2005/09/14 11:10:15  pawcioos
- updated to 2.3.6

Revision 1.106.2.3  2005/08/22 10:39:04  aflinta
- verison 2.3.5

Revision 1.106.2.2  2005/07/25 22:19:22  freetz
- renumbered patches

Revision 1.106.2.1  2005/07/25 22:03:12  freetz
- 2.3.4, opendocument, pdf, goffice and collab subpackages added,
  updated BRs, updated TODO, not ready for gda 1.3.x yet

Revision 1.108  2005/09/17 10:44:59  arekm
- readline 5.0

Revision 1.107  2005/08/10 22:02:17  freetz
- 2.2.9

Revision 1.106  2005/06/06 15:39:32  witekfl
- added mailmerge.patch

Revision 1.105  2005/06/06 06:05:03  freetz
- 2.2.8

Revision 1.104  2005/05/21 16:06:15  freetz
- O: for old 2.0.x plugins packages, rel.3

Revision 1.103  2005/04/11 16:46:24  freetz
- new style macros, rel.2

Revision 1.102  2005/04/05 08:00:25  ankry
- pl fixes, other cosmetics

Revision 1.101  2005/04/04 22:05:10  freetz
- 2.2.7

Revision 1.100  2005/04/04 16:16:57  freetz
- added omited changlog entry, disabled static bulid, rel.1
  ready for STBR

Revision 1.99  2005/04/04 09:25:21  freetz
- my mistake, back to nextgen for plugins

Revision 1.98  2005/04/04 09:08:23  freetz
- started uppgrade to 2.2.6
- removed deprecated .nextgen.sh script, configure options
- use generic icon name at pixmap directory, pass icondir to Makefile
- post/postun R: deskop-file-util

Revision 1.97  2005/03/05 15:07:27  aflinta
- version 2.2.5

Revision 1.96  2005/03/05 13:33:11  aflinta
- started merge from DEVEL

Revision 1.73.2.29  2005/02/27 22:01:30  grzegol
- updated to 2.2.4
- removed gdkpixbuf plugin (removed from sources)
- rel. 1

Revision 1.73.2.28  2005/02/13 00:31:11  grzegol
- removed magick plugin (it causes abiword to segfault and has been removed
  from abiword cvs)
- rel. 0.3

Revision 1.73.2.27  2004/12/26 23:22:04  grzegol
- merged python24 patch from HEAD
- BR: python-devel >= 1:2.4
- run ./nextgen.sh - it also regenerates acinclude.m4
- rel. 0.2

Revision 1.73.2.26  2004/12/07 21:37:40  freetz
- updated TODO (segfault causes plugin-magick)

Revision 1.73.2.25  2004/12/07 21:29:44  freetz
- fixed bunch of typos, TODO updated, help welcome :)

Revision 1.73.2.24  2004/12/07 20:52:43  freetz
- even more work one subpackages

Revision 1.73.2.23  2004/12/06 20:13:37  freetz
- more work on plugin subpackages

Revision 1.73.2.22  2004/12/03 23:07:16  freetz
- more work on TODO: replaced provided scripts with autotools, removed
  obsoleted nautilus entries, cleanup, simplification, GNOME bcond added,
  updated BRs, still NFY

Revision 1.73.2.21  2004/12/03 22:26:40  freetz
- started work on TODO, NFY, more work to come

Revision 1.73.2.20  2004/12/03 21:05:30  freetz
- 2.2.1 - first (sic!) stable 2.2 release
